Foreman - Bug #5785

Override class parameter by subnet no longer works since 1.5
05/19/2014 10:37 AM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Parameters
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.5.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3601
Description

| have a puppet class parameter (master for munin::client) with the following order:

fgdn
subnet
hostgroup
os

domain

Then a match

subnet=172.17.0.0/16

with some value.

Before | upgraded to 1.5 the override worked, but since | upgraded to 1.5 it no longer does. | can see that since machines with

subnet=172.17.0.0/16 no longer have munin graphs since the upgrade. One node that's in noop still has the correct master, but
wants to change it to the default as well.

Related issues:
Related to Foreman - Bug #16025: Import subnets from proxy returns 500 Closed 08/09/2016

Associated revisions

Revision 6c09e04f - 06/22/2016 09:49 AM - Ori Rabin

Fixes #5785 - override class parameter by subnet name

History

#2 - 05/23/2016 02:56 AM - Tomer Brisker
- Status changed from New to Assigned

- Assignee set to Ori Rabin

Currently subnet matchers only work on the subnet label (for example, "subnet1 (192.168.1.0/24)").
This should be updated to match either the name or the network, or the documentation should be updated to indicate this behaviour.

#3 - 06/19/2016 09:07 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3601 added

#4 - 06/22/2016 08:58 AM - Dominic Cleal
- Category set to Parameters

- translation missing: en.field_release set to 160
#5 - 06/22/2016 10:02 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 6c09e04{36e1b44bc29350640ea6e9dfa395ac13.

#6 - 08/09/2016 09:16 AM - Dominic Cleal
- Related to Bug #16025: Import subnets from proxy returns 500 added

05/11/2024

22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/6c09e04f36e1b44bc29350640ea6e9dfa395ac13
http://www.tcpdf.org

